### Function

# Gcr pkcs11_add_module_from_file

#### Declaration [src]

    gboolean
    gcr_pkcs11_add_module_from_file (
      const gchar* module_path,
      gpointer unused,
      GError** error
    )

#### Description [src]

Initialize a PKCS#11 module and add it to the modules that are used by the GCR library. Note that is an error to initialize the same PKCS#11 module twice.

It is not normally necessary to call this function. The available PKCS#11 modules installed on the system are automatically loaded by the GCR library.

#### Parameters

`module_path` | `const gchar*`
| The full file path of the PKCS#11 module.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`unused` | `gpointer`
| Unused.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the module was sucessfully added.